NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Features::SheetMetal::BridgeTransitionBuilder Class Reference

Represents a Bridge Transition builder
To create a new instance of this class, use NXOpen::Features::SheetMetal::SheetmetalManager::CreateBridgeTransitionBuilder

Created in NX5.0.2. More...

Inheritance diagram for NXOpen::Features::SheetMetal::BridgeTransitionBuilder:
NXOpen::Features::SheetMetal::SheetmetalBaseBuilder NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  FoldTransitionTypeOptions { FoldTransitionTypeOptionsLength, FoldTransitionTypeOptionsBend }
 Enum representing the type of Features::SheetMetal::BridgeTransitionBuilder::TypeOptionsFold . More...
 
enum  InsetOptions { InsetOptionsMaterialInside, InsetOptionsMaterialOutside }
 Enum representing the side of the Bridge Transition material with respect to the specified tangent plane. More...
 
enum  TypeOptions { TypeOptionsZu, TypeOptionsFold }
 Enum representing types for Bridge Transition feature. More...
 
enum  WidthDirectionOptions { WidthDirectionOptionsLeft, WidthDirectionOptionsRight }
 Enum representing the width direction for the Bridge Transition. More...
 
enum  WidthOptions {
  WidthOptionsFinite, WidthOptionsSymmetric, WidthOptionsFullStartEdge, WidthOptionsFullEndEdge,
  WidthOptionsFullBothEdges
}
 Enum representing width option types for Bridge Transition feature. More...
 

Public Member Functions

bool AlternateSolution ()
 Returns the option to get an alternate solution for the Features::SheetMetal::BridgeTransitionBuilder::FoldTransitionTypeOptionsBend when the width option is finite or symmetric. More...
 
NXOpen::SelectEdgeEndEdge ()
 Returns the end edge
Created in NX5.0.2. More...
 
NXOpen::ExpressionEndRadius ()
 Returns the inner bend radius of bend region near end edge. More...
 
NXOpen::Features::SheetMetal::BendOptionsFoldBendOptions ()
 Returns the bend options for Features::SheetMetal::BridgeTransitionBuilder::TypeOptionsFold bridge bend
The bend options object stores additional parameters for the bend, such as bend radius, neutral factor, bend relief width and depth. More...
 
int FoldTransitionType ()
 Returns the option to get fold transition type. More...
 
NXOpen::Features::SheetMetal::BridgeTransitionBuilder::InsetOptions InsetType ()
 Returns the inset type
Created in NX5.0.2. More...
 
NXOpen::ExpressionLength ()
 Returns the length of the planar region near start edge. More...
 
NXOpen::SelectISurfacePlane ()
 Returns the tangential plane
Only use this option to edit feature created prior to NX12. More...
 
NXOpen::PointPoint ()
 Returns the point with respect to which the finite or symmetric width is specified. More...
 
NXOpen::PlaneReferenceGeometryPlane ()
 Returns the reference geometry plane
Created in NX12.0.0. More...
 
void SetAlternateSolution (bool isAlternateSolution)
 Sets the option to get an alternate solution for the Features::SheetMetal::BridgeTransitionBuilder::FoldTransitionTypeOptionsBend when the width option is finite or symmetric. More...
 
void SetFoldTransitionType (int foldTransitionType)
 Sets the option to get fold transition type. More...
 
void SetInsetType (NXOpen::Features::SheetMetal::BridgeTransitionBuilder::InsetOptions insetType)
 Sets the inset type
Created in NX5.0.2. More...
 
void SetPoint (NXOpen::Point *point)
 Sets the point with respect to which the finite or symmetric width is specified. More...
 
void SetReferenceGeometryPlane (NXOpen::Plane *refGeometryPlane)
 Sets the reference geometry plane
Created in NX12.0.0. More...
 
void SetStartAndEndParametersEqual (bool areBendParametersEqual)
 Sets the option to find whether the start and end parameters are equal. More...
 
void SetTrimOrExtendToBend (bool trimOrExtend)
 Sets the option to trim or extend faces to bend face. More...
 
void SetType (NXOpen::Features::SheetMetal::BridgeTransitionBuilder::TypeOptions type)
 Sets the transition type
Created in NX5.0.2. More...
 
void SetWidthDirection (NXOpen::Features::SheetMetal::BridgeTransitionBuilder::WidthDirectionOptions widthDirection)
 Sets the width direction. More...
 
void SetWidthType (NXOpen::Features::SheetMetal::BridgeTransitionBuilder::WidthOptions widthType)
 Sets the width type
Created in NX5.0.2. More...
 
bool StartAndEndParametersEqual ()
 Returns the option to find whether the start and end parameters are equal. More...
 
NXOpen::SelectEdgeStartEdge ()
 Returns the start edge
Created in NX5.0.2. More...
 
NXOpen::ExpressionStartRadius ()
 Returns the inner bend radius of the bend region near start edge. More...
 
bool TrimOrExtendToBend ()
 Returns the option to trim or extend faces to bend face. More...
 
NXOpen::Features::SheetMetal::BridgeTransitionBuilder::TypeOptions Type ()
 Returns the transition type
Created in NX5.0.2. More...
 
NXOpen::ExpressionWidth ()
 Returns the width
Created in NX5.0.2. More...
 
NXOpen::Features::SheetMetal::BridgeTransitionBuilder::WidthDirectionOptions WidthDirection ()
 Returns the width direction. More...
 
NXOpen::Features::SheetMetal::BridgeTransitionBuilder::WidthOptions WidthType ()
 Returns the width type
Created in NX5.0.2. More...
 
NXOpen::Features::SheetMetal::BendOptionsZuEndEdgeBendOptions ()
 Returns the bend options at end edge for Features::SheetMetal::BridgeTransitionBuilder::TypeOptionsZu bridge bend. More...
 
NXOpen::Features::SheetMetal::BendOptionsZuStartEdgeBendOptions ()
 Returns the bend options at start edge for Features::SheetMetal::BridgeTransitionBuilder::TypeOptionsZu bridge bend. More...
 
- Public Member Functions inherited from NXOpen::Features::SheetMetal::SheetmetalBaseBuilder
NXOpen::Features::SheetMetal::ApplicationContext GetApplicationContext ()
 Get the application context. More...
 
void SetApplicationContext (NXOpen::Features::SheetMetal::ApplicationContext appContext)
 Set the application context. More...
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature. More...
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder. More...
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1. More...
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1. More...
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0. More...
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1. More...
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a Bridge Transition builder
To create a new instance of this class, use NXOpen::Features::SheetMetal::SheetmetalManager::CreateBridgeTransitionBuilder

Created in NX5.0.2.


Member Enumeration Documentation

Enum representing the type of Features::SheetMetal::BridgeTransitionBuilder::TypeOptionsFold .

Features::SheetMetal::BridgeTransitionBuilder::TypeOptionsFold can be defined by Length or Bend.

Enumerator
FoldTransitionTypeOptionsLength 

Fold Transition type is Length.

FoldTransitionTypeOptionsBend 

Fold Transition type is Bend.

Enum representing the side of the Bridge Transition material with respect to the specified tangent plane.

If it is Features::SheetMetal::BridgeTransitionBuilder::InsetOptionsMaterialInside then the transtion and start edge flow will be on the same logical side of the plane. If they are on opposite sides then use Features::SheetMetal::BridgeTransitionBuilder::InsetOptionsMaterialOutside .

Enumerator
InsetOptionsMaterialInside 

Bridge Transition body near tangential plane and start will be on same side of the tangential plane selected.

InsetOptionsMaterialOutside 

Bridge Transition body near tangential plane and start will be on opposite sides of the tangential plane selected.

Enum representing types for Bridge Transition feature.

Enumerator
TypeOptionsZu 

Bridge Transition type consisting of Bend-Planar-Bend regions.

TypeOptionsFold 

Bridge Transition type consisting of Planar-Bend-Planar regions.

Enum representing the width direction for the Bridge Transition.

This enum applies only when the width type is Features::SheetMetal::BridgeTransitionBuilder::WidthOptionsFinite . The Features::SheetMetal::BridgeTransitionBuilder::WidthDirectionOptionsRight option indicates that the width is in the counter clockwise direction of flow of the start edge in the non-thickness face adjacent to it. The Features::SheetMetal::BridgeTransitionBuilder::WidthDirectionOptionsLeft option indicates the width is in the opposite direction.

Enumerator
WidthDirectionOptionsLeft 

It means Bridge Transition width direction at point specified and fin direction are in opposite direction.

WidthDirectionOptionsRight 

It means Bridge Transition width direction at point specified and fin direction are in same direction.

Enum representing width option types for Bridge Transition feature.

Enumerator
WidthOptionsFinite 

Bridge Transition starts at specified point on start edge and extends on one side by the specified distance.

WidthOptionsSymmetric 

Bridge Transition starts at specified point on start edge and extends on either side by half the specified distance.

WidthOptionsFullStartEdge 

Bridge Transition spans the full length of start edge.

WidthOptionsFullEndEdge 

Bridge Transition spans the full length of end edge.

WidthOptionsFullBothEdges 

Bridge Transition spans the full length of both the edges.

Member Function Documentation

bool NXOpen::Features::SheetMetal::BridgeTransitionBuilder::AlternateSolution ( )

Returns the option to get an alternate solution for the Features::SheetMetal::BridgeTransitionBuilder::FoldTransitionTypeOptionsBend when the width option is finite or symmetric.


If there is only one working solution possible then this method will not do anything.


Created in NX10.0.2.

License requirements : nx_flexible_pcb ("NX Flexible PCB") OR nx_sheet_metal ("NX Sheet Metal")

NXOpen::SelectEdge* NXOpen::Features::SheetMetal::BridgeTransitionBuilder::EndEdge ( )

Returns the end edge
Created in NX5.0.2.



License requirements : nx_flexible_pcb ("NX Flexible PCB") OR nx_sheet_metal ("NX Sheet Metal")

NXOpen::Expression* NXOpen::Features::SheetMetal::BridgeTransitionBuilder::EndRadius ( )

Returns the inner bend radius of bend region near end edge.

End radius required to be specified for Features::SheetMetal::BridgeTransitionBuilder::TypeOptionsZu .


Deprecated:
Deprecated in NX10.0.2. Use NXOpen::Expression::SetRightHandSide on the NXOpen::Expression object returned from Features::SheetMetal::BendOptions::BendRadius instead.


Created in NX5.0.2.

License requirements : nx_flexible_pcb ("NX Flexible PCB") OR nx_sheet_metal ("NX Sheet Metal")

NXOpen::Features::SheetMetal::BendOptions* NXOpen::Features::SheetMetal::BridgeTransitionBuilder::FoldBendOptions ( )

Returns the bend options for Features::SheetMetal::BridgeTransitionBuilder::TypeOptionsFold bridge bend
The bend options object stores additional parameters for the bend, such as bend radius, neutral factor, bend relief width and depth.



Created in NX10.0.2.

License requirements : nx_flexible_pcb ("NX Flexible PCB") OR nx_sheet_metal ("NX Sheet Metal")

int NXOpen::Features::SheetMetal::BridgeTransitionBuilder::FoldTransitionType ( )

Returns the option to get fold transition type.


Created in NX10.0.2.

License requirements : nx_flexible_pcb ("NX Flexible PCB") OR nx_sheet_metal ("NX Sheet Metal")

NXOpen::Features::SheetMetal::BridgeTransitionBuilder::InsetOptions NXOpen::Features::SheetMetal::BridgeTransitionBuilder::InsetType ( )

Returns the inset type
Created in NX5.0.2.



License requirements : nx_flexible_pcb ("NX Flexible PCB") OR nx_sheet_metal ("NX Sheet Metal")

NXOpen::Expression* NXOpen::Features::SheetMetal::BridgeTransitionBuilder::Length ( )

Returns the length of the planar region near start edge.

Length is required to be specified for Features::SheetMetal::BridgeTransitionBuilder::TypeOptionsFold .


Created in NX5.0.2.

License requirements : nx_flexible_pcb ("NX Flexible PCB") OR nx_sheet_metal ("NX Sheet Metal")

NXOpen::SelectISurface* NXOpen::Features::SheetMetal::BridgeTransitionBuilder::Plane ( )

Returns the tangential plane
Only use this option to edit feature created prior to NX12.

Use NXOpen::Features::SheetMetal::BridgeTransitionBuilder::ReferenceGeometryPlane and NXOpen::Features::SheetMetal::BridgeTransitionBuilder::SetReferenceGeometryPlane to locate tangential plane.


Created in NX5.0.2.

License requirements : nx_flexible_pcb ("NX Flexible PCB") OR nx_sheet_metal ("NX Sheet Metal")

NXOpen::Point* NXOpen::Features::SheetMetal::BridgeTransitionBuilder::Point ( )

Returns the point with respect to which the finite or symmetric width is specified.


Created in NX5.0.2.

License requirements : nx_flexible_pcb ("NX Flexible PCB") OR nx_sheet_metal ("NX Sheet Metal")

NXOpen::Plane* NXOpen::Features::SheetMetal::BridgeTransitionBuilder::ReferenceGeometryPlane ( )

Returns the reference geometry plane
Created in NX12.0.0.



License requirements : nx_flexible_pcb ("NX Flexible PCB") OR nx_sheet_metal ("NX Sheet Metal")

void NXOpen::Features::SheetMetal::BridgeTransitionBuilder::SetAlternateSolution ( bool  isAlternateSolution)

Sets the option to get an alternate solution for the Features::SheetMetal::BridgeTransitionBuilder::FoldTransitionTypeOptionsBend when the width option is finite or symmetric.


If there is only one working solution possible then this method will not do anything.


Created in NX10.0.2.

License requirements : nx_flexible_pcb ("NX Flexible PCB") OR nx_sheet_metal ("NX Sheet Metal")

Parameters
isAlternateSolutionisalternatesolution
void NXOpen::Features::SheetMetal::BridgeTransitionBuilder::SetFoldTransitionType ( int  foldTransitionType)

Sets the option to get fold transition type.


Created in NX10.0.2.

License requirements : nx_flexible_pcb ("NX Flexible PCB") OR nx_sheet_metal ("NX Sheet Metal")

Parameters
foldTransitionTypefoldtransitiontype
void NXOpen::Features::SheetMetal::BridgeTransitionBuilder::SetInsetType ( NXOpen::Features::SheetMetal::BridgeTransitionBuilder::InsetOptions  insetType)

Sets the inset type
Created in NX5.0.2.



License requirements : nx_flexible_pcb ("NX Flexible PCB") OR nx_sheet_metal ("NX Sheet Metal")

Parameters
insetTypeinsettype
void NXOpen::Features::SheetMetal::BridgeTransitionBuilder::SetPoint ( NXOpen::Point point)

Sets the point with respect to which the finite or symmetric width is specified.


Created in NX5.0.2.

License requirements : nx_flexible_pcb ("NX Flexible PCB") OR nx_sheet_metal ("NX Sheet Metal")

Parameters
pointpoint
void NXOpen::Features::SheetMetal::BridgeTransitionBuilder::SetReferenceGeometryPlane ( NXOpen::Plane refGeometryPlane)

Sets the reference geometry plane
Created in NX12.0.0.



License requirements : nx_flexible_pcb ("NX Flexible PCB") OR nx_sheet_metal ("NX Sheet Metal")

Parameters
refGeometryPlanerefgeometryplane
void NXOpen::Features::SheetMetal::BridgeTransitionBuilder::SetStartAndEndParametersEqual ( bool  areBendParametersEqual)

Sets the option to find whether the start and end parameters are equal.


Created in NX10.0.2.

License requirements : nx_flexible_pcb ("NX Flexible PCB") OR nx_sheet_metal ("NX Sheet Metal")

Parameters
areBendParametersEqualarebendparametersequal
void NXOpen::Features::SheetMetal::BridgeTransitionBuilder::SetTrimOrExtendToBend ( bool  trimOrExtend)

Sets the option to trim or extend faces to bend face.


Created in NX10.0.2.

License requirements : nx_flexible_pcb ("NX Flexible PCB") OR nx_sheet_metal ("NX Sheet Metal")

Parameters
trimOrExtendtrimorextend
void NXOpen::Features::SheetMetal::BridgeTransitionBuilder::SetType ( NXOpen::Features::SheetMetal::BridgeTransitionBuilder::TypeOptions  type)

Sets the transition type
Created in NX5.0.2.



License requirements : nx_flexible_pcb ("NX Flexible PCB") OR nx_sheet_metal ("NX Sheet Metal")

Parameters
typetype
void NXOpen::Features::SheetMetal::BridgeTransitionBuilder::SetWidthDirection ( NXOpen::Features::SheetMetal::BridgeTransitionBuilder::WidthDirectionOptions  widthDirection)

Sets the width direction.

Only applies if the width type is Features::SheetMetal::BridgeTransitionBuilder::WidthOptionsFinite
Created in NX5.0.2.

License requirements : nx_flexible_pcb ("NX Flexible PCB") OR nx_sheet_metal ("NX Sheet Metal")

Parameters
widthDirectionwidthdirection
void NXOpen::Features::SheetMetal::BridgeTransitionBuilder::SetWidthType ( NXOpen::Features::SheetMetal::BridgeTransitionBuilder::WidthOptions  widthType)

Sets the width type
Created in NX5.0.2.



License requirements : nx_flexible_pcb ("NX Flexible PCB") OR nx_sheet_metal ("NX Sheet Metal")

Parameters
widthTypewidthtype
bool NXOpen::Features::SheetMetal::BridgeTransitionBuilder::StartAndEndParametersEqual ( )

Returns the option to find whether the start and end parameters are equal.


Created in NX10.0.2.

License requirements : nx_flexible_pcb ("NX Flexible PCB") OR nx_sheet_metal ("NX Sheet Metal")

NXOpen::SelectEdge* NXOpen::Features::SheetMetal::BridgeTransitionBuilder::StartEdge ( )

Returns the start edge
Created in NX5.0.2.



License requirements : nx_flexible_pcb ("NX Flexible PCB") OR nx_sheet_metal ("NX Sheet Metal")

NXOpen::Expression* NXOpen::Features::SheetMetal::BridgeTransitionBuilder::StartRadius ( )

Returns the inner bend radius of the bend region near start edge.

Start radius required to be specified for Features::SheetMetal::BridgeTransitionBuilder::TypeOptionsZu .


Deprecated:
Deprecated in NX10.0.2. Use NXOpen::Expression::SetRightHandSide on the NXOpen::Expression object returned from Features::SheetMetal::BendOptions::BendRadius instead.


Created in NX5.0.2.

License requirements : nx_flexible_pcb ("NX Flexible PCB") OR nx_sheet_metal ("NX Sheet Metal")

bool NXOpen::Features::SheetMetal::BridgeTransitionBuilder::TrimOrExtendToBend ( )

Returns the option to trim or extend faces to bend face.


Created in NX10.0.2.

License requirements : nx_flexible_pcb ("NX Flexible PCB") OR nx_sheet_metal ("NX Sheet Metal")

NXOpen::Features::SheetMetal::BridgeTransitionBuilder::TypeOptions NXOpen::Features::SheetMetal::BridgeTransitionBuilder::Type ( )

Returns the transition type
Created in NX5.0.2.



License requirements : nx_flexible_pcb ("NX Flexible PCB") OR nx_sheet_metal ("NX Sheet Metal")

NXOpen::Expression* NXOpen::Features::SheetMetal::BridgeTransitionBuilder::Width ( )

Returns the width
Created in NX5.0.2.



License requirements : nx_flexible_pcb ("NX Flexible PCB") OR nx_sheet_metal ("NX Sheet Metal")

NXOpen::Features::SheetMetal::BridgeTransitionBuilder::WidthDirectionOptions NXOpen::Features::SheetMetal::BridgeTransitionBuilder::WidthDirection ( )

Returns the width direction.

Only applies if the width type is Features::SheetMetal::BridgeTransitionBuilder::WidthOptionsFinite
Created in NX5.0.2.

License requirements : nx_flexible_pcb ("NX Flexible PCB") OR nx_sheet_metal ("NX Sheet Metal")

NXOpen::Features::SheetMetal::BridgeTransitionBuilder::WidthOptions NXOpen::Features::SheetMetal::BridgeTransitionBuilder::WidthType ( )

Returns the width type
Created in NX5.0.2.



License requirements : nx_flexible_pcb ("NX Flexible PCB") OR nx_sheet_metal ("NX Sheet Metal")

NXOpen::Features::SheetMetal::BendOptions* NXOpen::Features::SheetMetal::BridgeTransitionBuilder::ZuEndEdgeBendOptions ( )

Returns the bend options at end edge for Features::SheetMetal::BridgeTransitionBuilder::TypeOptionsZu bridge bend.


The bend options object stores additional parameters for the bend, such as bend radius and neutral factor.


Created in NX10.0.2.

License requirements : nx_flexible_pcb ("NX Flexible PCB") OR nx_sheet_metal ("NX Sheet Metal")

NXOpen::Features::SheetMetal::BendOptions* NXOpen::Features::SheetMetal::BridgeTransitionBuilder::ZuStartEdgeBendOptions ( )

Returns the bend options at start edge for Features::SheetMetal::BridgeTransitionBuilder::TypeOptionsZu bridge bend.


The bend options object stores additional parameters for the bend, such as bend radius and neutral factor.


Created in NX10.0.2.

License requirements : nx_flexible_pcb ("NX Flexible PCB") OR nx_sheet_metal ("NX Sheet Metal")


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.